Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.parser
Class OWLlinkKBErrorElementHandler

    java.lang.Object

          org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler<E>
              org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkErrorHandler<OWLlinkKBErrorResponseException>
                  org.semanticweb.owlapi.owllink.parser.OWLlinkKBErrorElementHandler

All Implemented Interfaces:
  OWLlinkElementHandler<OWLlinkKBErrorResponseException>, OWLlinkErrorElementHandler<OWLlinkKBErrorResponseException>

    public class OWLlinkKBErrorElementHandler

extends AbstractOWLlinkErrorHandler<OWLlinkKBErrorResponseException>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 25.10.2009

Field Summary

Fields inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkErrorHandler
`error`

Constructor Summary
`OWLlinkKBErrorElementHandler(OWLXMLParserHandler handler)`

Method Summary
`OWLlinkKBErrorResponseException` | `getOWLLinkObject()`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkErrorHandler
`attribute, endElement, getErrorString`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler
`getFullIRI, getOWLObject, getParentHandler, getRequest, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owlapi.owllink.parser.OWLlinkElementHandler
`handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Constructor Detail

### OWLlinkKBErrorElementHandler

    public OWLlinkKBErrorElementHandler(OWLXMLParserHandler handler)

Method Detail

### getOWLLinkObject

    public OWLlinkKBErrorResponseException getOWLLinkObject()

  Specified by:
    `getOWLLinkObject` in interface `OWLlinkElementHandler<OWLlinkKBErrorResponseException>`
  Specified by:
    `getOWLLinkObject` in class `AbstractOWLlinkElementHandler<OWLlinkKBErrorResponseException>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD